Freeciv-3.2: adv_data Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
adv_data Struct Reference

`#include <advdata.h>`

## Data Fields

bool | phase_is_initialized
int | wonder_city
enum adv_improvement_status | impr_calc [B_LAST]
enum req_range | impr_range [B_LAST]
struct adv_area_info * | continents
struct adv_area_info * | oceans
struct { |
bool invasions |
bool suicide_attack |
int nuclear |
bool igwall |
} | threats |
struct { |
bool * ocean |
bool * continent |
bool land_done |
bool sea_done |
} | explore |
struct { |
struct { |
int coast_strict |
int suicide_attackers |
int paratroopers |
int airliftable |
int byclass [UCL_LAST] |
int upgradeable |
} units |
int * cities |
int * ocean_cities |
int average_production |
} | stats |
struct { |
struct adv_dipl ** adv_dipl_slots |
struct player * spacerace_leader |
struct player * tech_leader |
struct player * production_leader |
} | dipl |
int | num_continents
int | num_oceans
int | shield_priority
int | food_priority
int | luxury_priority
int | gold_priority
int | science_priority
int | happy_priority
int | unhappy_priority
int | angry_priority
int | pollution_priority
int | infra_priority
adv_want * | government_want
short | govt_reeval
struct { |
struct { |
struct government * gov |
adv_want val |
int req |
} govt |
struct government * revolution |
} | goal |
bool | wants_science
bool | celebrate
int | max_num_cities

## Detailed Description

Definition at line 50 of file advdata.h.

## Field Documentation

## ◆ adv_dipl_slots

struct adv_dipl** adv_data::adv_dipl_slots

Definition at line 102 of file advdata.h.

Referenced by adv_data_close(), adv_data_init(), adv_dipl_free(), adv_dipl_get(), and adv_dipl_new().

## ◆ airliftable

int adv_data::airliftable

Definition at line 89 of file advdata.h.

Referenced by dai_effect_value().

## ◆ angry_priority

int adv_data::angry_priority

Definition at line 120 of file advdata.h.

Referenced by adv_data_phase_init(), and adv_eval_calc_city().

## ◆ average_production

int adv_data::average_production

Definition at line 98 of file advdata.h.

Referenced by military_amortize().

## ◆ byclass

int adv_data::byclass[UCL_LAST]

Definition at line 91 of file advdata.h.

Referenced by num_affected_units().

## ◆ celebrate

bool adv_data::celebrate

Definition at line 142 of file advdata.h.

Referenced by adv_data_default(), and dai_manage_taxes().

## ◆ cities

int* adv_data::cities

Definition at line 96 of file advdata.h.

Referenced by adjust_improvement_wants_by_effects(), adv_data_phase_done(), building_advisor(), contemplate_terrain_improvements(), and texai_city_worker_wants().

## ◆ coast_strict

int adv_data::coast_strict

Definition at line 86 of file advdata.h.

## ◆ continent

bool* adv_data::continent

Definition at line 75 of file advdata.h.

Referenced by adv_data_phase_done(), and adv_data_phase_init().

## ◆ continents

struct adv_area_info* adv_data::continents

Definition at line 61 of file advdata.h.

Referenced by adv_data_phase_done(), adv_data_phase_init(), building_advisor(), and dai_effect_value().

## ◆ [struct]

struct { ... } adv_data::dipl

Referenced by adv_data_close(), adv_data_init(), adv_data_phase_init(), adv_dipl_free(), adv_dipl_get(), adv_dipl_new(), dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), and dai_effect_value().

## ◆ [struct]

struct { ... } adv_data::explore

Referenced by adv_data_phase_done(), and dai_effect_value().

## ◆ food_priority

int adv_data::food_priority

Definition at line 114 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), cityresult_fill(), dai_city_want(), and dai_effect_value().

## ◆ [struct]

struct { ... } adv_data::goal

Referenced by adv_best_government(), cityresult_fill(), dai_effect_value(), and dai_manage_government().

## ◆ gold_priority

int adv_data::gold_priority

Definition at line 116 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), dai_choose_trade_route(), and dai_city_want().

## ◆ gov

struct government* adv_data::gov

Definition at line 131 of file advdata.h.

Referenced by adv_best_government(), cityresult_fill(), dai_effect_value(), and dai_manage_government().

## ◆ government_want

adv_want* adv_data::government_want

Definition at line 125 of file advdata.h.

Referenced by adv_best_government(), adv_data_close(), adv_data_default(), and adv_data_init().

## ◆ [struct]

struct { ... } adv_data::govt

Referenced by adv_best_government(), cityresult_fill(), dai_effect_value(), and dai_manage_government().

## ◆ govt_reeval

short adv_data::govt_reeval

Definition at line 126 of file advdata.h.

Referenced by adv_best_government(), and adv_data_default().

## ◆ happy_priority

int adv_data::happy_priority

Definition at line 118 of file advdata.h.

Referenced by adv_data_phase_init(), and adv_eval_calc_city().

## ◆ igwall

bool adv_data::igwall

Definition at line 69 of file advdata.h.

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ impr_calc

enum adv_improvement_status adv_data::impr_calc[B_LAST]

Definition at line 58 of file advdata.h.

Referenced by adv_data_city_impr_calc(), base_want(), and dai_city_want().

## ◆ impr_range

enum req_range adv_data::impr_range[B_LAST]

Definition at line 59 of file advdata.h.

Referenced by adjust_improvement_wants_by_effects(), adv_data_city_impr_calc(), and base_want().

## ◆ infra_priority

int adv_data::infra_priority

Definition at line 122 of file advdata.h.

Referenced by adv_data_phase_init().

## ◆ invasions

bool adv_data::invasions

Definition at line 66 of file advdata.h.

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ land_done

bool adv_data::land_done

Definition at line 76 of file advdata.h.

Referenced by dai_effect_value().

## ◆ luxury_priority

int adv_data::luxury_priority

Definition at line 115 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), and dai_city_want().

## ◆ max_num_cities

int adv_data::max_num_cities

Definition at line 145 of file advdata.h.

Referenced by adv_data_default(), adv_data_phase_init(), and domestic_advisor_choose_build().

## ◆ nuclear

int adv_data::nuclear

Definition at line 68 of file advdata.h.

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ num_continents

int adv_data::num_continents

Definition at line 109 of file advdata.h.

Referenced by adv_data_get(), adv_data_phase_done(), adv_data_phase_init(), and dai_data_phase_begin().

## ◆ num_oceans

int adv_data::num_oceans

Definition at line 110 of file advdata.h.

Referenced by adv_data_get(), adv_data_phase_done(), adv_data_phase_init(), and dai_data_phase_begin().

## ◆ ocean

bool* adv_data::ocean

Definition at line 74 of file advdata.h.

Referenced by adv_data_phase_done().

## ◆ ocean_cities

int* adv_data::ocean_cities

Definition at line 97 of file advdata.h.

Referenced by adv_data_phase_done(), and contemplate_terrain_improvements().

## ◆ oceans

struct adv_area_info* adv_data::oceans

Definition at line 62 of file advdata.h.

Referenced by adv_data_phase_done(), adv_data_phase_init(), and dai_effect_value().

## ◆ paratroopers

int adv_data::paratroopers

Definition at line 89 of file advdata.h.

Referenced by calculate_want_for_paratrooper().

## ◆ phase_is_initialized

bool adv_data::phase_is_initialized

Definition at line 52 of file advdata.h.

Referenced by adv_data_get(), adv_data_phase_done(), adv_data_phase_init(), and is_adv_data_phase_open().

## ◆ pollution_priority

int adv_data::pollution_priority

Definition at line 121 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), and dai_city_want().

## ◆ production_leader

struct player* adv_data::production_leader

Definition at line 106 of file advdata.h.

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ req

int adv_data::req

Definition at line 133 of file advdata.h.

Referenced by adv_best_government(), dai_effect_value(), and dai_manage_government().

## ◆ revolution

struct government* adv_data::revolution

Definition at line 135 of file advdata.h.

Referenced by adv_best_government(), and dai_manage_government().

## ◆ science_priority

int adv_data::science_priority

Definition at line 117 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), cityresult_fill(), dai_choose_trade_route(), and dai_city_want().

## ◆ sea_done

bool adv_data::sea_done

Definition at line 77 of file advdata.h.

Referenced by dai_effect_value().

## ◆ shield_priority

int adv_data::shield_priority

Definition at line 113 of file advdata.h.

Referenced by adv_data_phase_init(), adv_eval_calc_city(), cityresult_fill(), and dai_city_want().

## ◆ spacerace_leader

struct player* adv_data::spacerace_leader

Definition at line 104 of file advdata.h.

Referenced by adv_data_phase_init(), dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), and dai_effect_value().

## ◆ [struct]

struct { ... } adv_data::stats

Referenced by adjust_improvement_wants_by_effects(), adv_data_phase_done(), building_advisor(), calculate_want_for_paratrooper(), contemplate_terrain_improvements(), count_my_units(), dai_effect_value(), military_amortize(), num_affected_units(), and texai_city_worker_wants().

## ◆ suicide_attack

bool adv_data::suicide_attack

Definition at line 67 of file advdata.h.

## ◆ suicide_attackers

int adv_data::suicide_attackers

Definition at line 89 of file advdata.h.

Referenced by dai_effect_value().

## ◆ tech_leader

struct player* adv_data::tech_leader

Definition at line 105 of file advdata.h.

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ [struct]

struct { ... } adv_data::threats

Referenced by adv_data_phase_init(), and dai_effect_value().

## ◆ unhappy_priority

int adv_data::unhappy_priority

Definition at line 119 of file advdata.h.

Referenced by adv_data_phase_init(), and adv_eval_calc_city().

## ◆ [struct]

struct { ... } adv_data::units

Referenced by calculate_want_for_paratrooper(), count_my_units(), dai_effect_value(), and num_affected_units().

## ◆ upgradeable

int adv_data::upgradeable

Definition at line 94 of file advdata.h.

Referenced by dai_effect_value().

## ◆ val

adv_want adv_data::val

Definition at line 132 of file advdata.h.

Referenced by adv_best_government(), dai_effect_value(), and dai_manage_government().

## ◆ wants_science

bool adv_data::wants_science

Definition at line 139 of file advdata.h.

Referenced by adv_data_default(), adv_data_phase_init(), and adv_wants_science().

## ◆ wonder_city

int adv_data::wonder_city

Definition at line 55 of file advdata.h.

Referenced by adjust_improvement_wants_by_effects(), adv_data_default(), building_advisor(), dai_choose_help_wonder(), dai_city_choose_build(), dai_effect_value(), domestic_advisor_choose_build(), military_advisor_choose_build(), sg_load_player_main(), and sg_save_player_main().